<?php

namespace App\Filament\Resources\ProfitCenterSupplierSchedules\Schemas;

use Filament\Forms\Components\Select;
use Filament\Schemas\Schema;

class ProfitCenterSupplierScheduleForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                Select::make('profit_center_id')
                    ->label('Profit Center')
                    ->relationship('profitCenter', 'name')
                    ->searchable()
                    ->required(),
                Select::make('supplier_id')
                    ->label('Beszállító')
                    ->relationship('supplier', 'name')
                    ->searchable()
                    ->required(),
                Select::make('delivery_schedule_id')
                    ->label('Szállítási sablon')
                    ->relationship('deliverySchedule', 'name')
                    ->searchable()
                    ->required(),
            ]);
    }
}
